Name: brscanads2200ads2700w
Version: 0.1.15
Release: alt1
License: proprietary
Group: System/Configuration/Printing
URL: www.brother.com
Summary: A driver that communicate XSANE AP and Brother scanner
Source: %name-%version.tgz
BuildArch: x86_64

Requires: libjpeg
Requires: libsane
Requires: libusb

AutoReq: No

%description
A driver that communicate XSANE AP and Brother scanner
This package is used for ADS-2200 and ADS-2700W.

%prep
%setup

%install
mkdir -p %buildroot/etc/udev/rules.d
mkdir -p %buildroot/opt/brother/scanner/brscanads2200ads2700w
mkdir -p %buildroot/%_libdir/sane
cp -r etc/*  %buildroot/etc/
cp -r usr/*  %buildroot/usr/
cp -r opt/*  %buildroot/opt/

%post
ln -sf %_libdir/sane/libsane-BrotherADS2200.so.1.0.25 %_libdir/sane/libsane-BrotherADS2200.so
ln -sf %_libdir/sane/libsane-BrotherADS2200.so.1.0.25 %_libdir/sane/libsane-BrotherADS2200.so.1
ln -sf %_libdir/sane/libsane-BrotherADS2700.so.1.0.25 %_libdir/sane/libsane-BrotherADS2700.so
ln -sf %_libdir/sane/libsane-BrotherADS2700.so.1.0.25 %_libdir/sane/libsane-BrotherADS2700.so.1
ln -sf /opt/brother/scanner/brscanads2200ads2700w/conf_ip /usr/bin/conf_ip

%postun
rm -f /usr/bin/conf_ip
rm -f %_libdir/sane/libsane-BrotherADS2700.so
rm -f %_libdir/sane/libsane-BrotherADS2700.so.1
rm -f %_libdir/sane/libsane-BrotherADS2200.so.1 
rm -f %_libdir/sane/libsane-BrotherADS2200.so

%files
%_sysconfdir/udev/rules.d/*
/opt/brother/scanner/brscanads2200ads2700w/*
%_libdir/sane/libsane-BrotherADS*


%changelog
* Mon Nov 18 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 0.1.15-alt1
- First build for ALT


